#!/bin/bash
rm -rf *.tar.gz
rm -rf zephir-*
echo "export SVN de zephir-parc..."
SVN_URL=https://dev-eole.ac-dijon.fr/Eole2/zephir/zephir-parc/trunk
svn export $SVN_URL zephir-parc &> /dev/null
echo "building subprojects"
# creates directories and setup files for subpackages
# common
mkdir -p zephir-common/data/certs
mkdir -p zephir-common/zephir
mv -f zephir-parc/init zephir-common/
mv -f zephir-parc/twisted zephir-common/
mv -f zephir-parc/dico.py zephir-common/
mv -f zephir-parc/eosfuncs.py zephir-common/
mv -f zephir-parc/data/utils zephir-common/data/
mv -f zephir-parc/zephir/utils zephir-common/zephir/
mv -f zephir-parc/zephir/certificats.py zephir-common/zephir/
mv -f zephir-parc/zephir/config.py zephir-common/zephir/
mv -f zephir-parc/zephir/copyright.py zephir-common/zephir/
cp -f zephir-parc/zephir/__init__.py zephir-common/zephir/
# backend
mkdir -p zephir-backend/sites
mkdir -p zephir-backend/data
mkdir -p zephir-backend/zephir
mv -f zephir-parc/data/backend zephir-backend/data/
mv -f zephir-parc/data/monitor zephir-backend/data/
mv -f zephir-parc/data/sql zephir-backend/data/
mv -f zephir-parc/data/uucp_zephir zephir-backend/data/
mv -f zephir-parc/zephir/backend zephir-backend/zephir/
mv -f zephir-parc/zephir/monitor zephir-backend/zephir/
cp -f zephir-parc/zephir/__init__.py zephir-backend/zephir/
# dictionnaries
mkdir -p zephir-dictionnaires/data
mv -f zephir-parc/data/dictionnaires zephir-dictionnaires/data/
# doc
mkdir zephir-doc
mv -f zephir-parc/doc zephir-doc/
# web
mkdir -p zephir-web/data
mkdir -p zephir-web/zephir
mv -f zephir-parc/data/web zephir-web/data/
mv -f zephir-parc/zephir/rapports zephir-web/zephir/
mv -f zephir-parc/zephir/web zephir-web/zephir/
cp -f zephir-parc/zephir/__init__.py zephir-web/zephir/
# copying setup files
for name in backend common dictionnaires doc web
do
	mv -f zephir-parc/distutils/${name}-setup.py zephir-${name}/setup.py
done
# changelog
echo "enter a comment for debian changelogs :"
read message
echo -n "building source archives... "
# copying debian files
for name in backend common dictionnaires doc web
do
	mv zephir-${name} zephir-${name}-2.0
	cp -r zephir-parc/debian zephir-${name}-2.0/
	mv -f zephir-parc/distutils/${name}-changelog zephir-${name}-2.0/debian/changelog
	sync &&	cd zephir-${name}-2.0
	debchange -i $message
	cp -f debian/changelog ../debian_sauv/${name}-changelog
	cd ..
	tar cvzf zephir-${name}_2.0.orig.tar.gz zephir-${name}-2.0 &> /dev/null
	mv -f zephir-parc/distutils/${name}-control zephir-${name}-2.0/debian/control
	if [ -f zephir-parc/distutils/${name}-postinst ]
	then
		mv -f zephir-parc/distutils/${name}-postinst zephir-${name}-2.0/debian/postinst
	fi
done
echo "ok"
echo -n "save changelogs (y/n) ?"
read sav_deb
if [ "$sav_deb" == "y" ]
then
	echo "mise a jour des changelogs dans le depot SVN"
	svn checkout $SVN_URL/distutils/ changelogs/
	for name in backend common dictionnaires doc web
	do
		cp -f zephir-${name}-2.0/debian/changelog changelogs/${name}-changelog
	done
	cd changelogs
	svn commit *changelog -m "mise a jour des changelogs debian (zephir-parc)"
	cd ..
fi
# clean up
rm -rf zephir-parc
echo "building packages"
for name in backend common dictionnaires doc web
do
	echo -n " - zephir-$name..."
	cd zephir-${name}-2.0
	debuild -e PACKNAME=${name} -uc -us > ../debuild-${name}.log 2>&1
	res=$?
	cd ..
	if [ $res -ne 0 ]
	then
		echo "erreur de cration du paquet : voir debuild-${name}.log"
	else
		echo "ok"
	fi
done
