#!/usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# 
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  http://www.cecill.info/licences/Licence_CeCILL_V2-fr.html
# eole@ac-dijon.fr 
#  
###########################################################################

import os

suite_template = """<table>
<tr>
<td>Test suite for zephir web application</td>
</tr>
%s
</table>
"""

test_template = """<tr><td><a target="testFrame" href="%s.html">%s</a></td></tr>\n"""

def gen_suite(fic_descr, test_dir):
    """génère un fichier de lancement de la suite de tests
    selenium depuis un fichier txt de description"""

    f = open(fic_descr)
    data = f.readlines()
    f.close()
    tests = []
    start_table_found = False
    for line in data:
        if not start_table_found:
            if line.strip().startswith(":widths"):
                start_table_found = True
        else:
            if line.count('*') >1 :
                # parse data
                tests.append(line.split(","))

    # génération du template
    tmpl_tests = ""
    for test in tests:
        tmpl_tests += test_template % (test[2].strip().replace('*','') , test[1].strip())

    f = open(os.path.join(test_dir,'TestSuite.html'), 'w')
    f.write(suite_template % tmpl_tests)
    f.close()

if __name__ == '__main__':
    gen_suite('test.txt', 'selenium')

